File caja-extensions.changes of Package caja-extensions

-------------------------------------------------------------------
Wed Feb 26 19:38:40 UTC 2020 - Alexei Sorokin <sor.alexei@meowr.ru>

- Update to version 1.24.0 (changes since 1.23.0):
  * Migrate from intltool to gettext.
  * caja-image-resizer: Avoid g_type_class_add_private.
  * caja-image-rotator: Avoid g_type_class_add_private.
  * i18n caja extension copyright.
  * Build either with gupnp version 1.0 or 1.2.
  * image-converter: Don't use non-existing icons in context menu.
  * caja-sendto: Rewrite caja-sendto.ui from scratch fixing
    deprecations.
  * caja-sendto-command: Add .7z,.tar.xz to packed type drop-down
    list.
  * caja-wallpaper-extension: remove unused pointer
    "GError *err".
  * caja-wallpaper-extension: Fix memory leak.
  * image-converter: i18n select an angle drop-down list.
  * image-converter: Rewrite caja-image-resize.ui from scratch
    fixing deprecations.
  * sendto: Value stored to "file" is never read.
  * configure: Get quieter output from make.
  * Update translations.
- Remove enable-gupnp-1.2.patch: fixed upstream.
- Drop support for old openSUSE versions.

-------------------------------------------------------------------
Fri Feb 21 11:27:10 UTC 2020 - Max Lin <mlin@suse.com>

- Leap 15.2 has newer gupnp, enable builds with gupnp 1.2 on Leap 15.2

-------------------------------------------------------------------
Thu Oct 17 15:17:39 UTC 2019 - Richard Brown <rbrown@suse.com>

- Remove obsolete Groups tag (fate#326485)

-------------------------------------------------------------------
Thu Jul 18 08:53:02 UTC 2019 - Jonathan Brielmaier <jbrielmaier@suse.de>

- Update to version 1.23.0:
  * Translations update
  * Remove trailing whitespaces
  * Strings resistance
  * Change url project's website
- add patch:
  * enable-gupnp-1.2.patch: Tumbleweed only ships gupnp-1.2, so we
    enable it with a patch. Reported upstream as
    https://github.com/mate-desktop/caja-extensions/issues/52
- remove patch:
  * caja-extensions_gtk-3.20.patch: we don't support gtk3.22 anymore
- build require gtk >= 3.22 and glib >= 2.50
- build require gupnp-1.2 on TW, stay on gupnp-1.0 for the rest

-------------------------------------------------------------------
Tue Mar  5 15:19:33 UTC 2019 - sor.alexei@meowr.ru

- Update to version 1.22.0:
  * Disable deprecation warnings for distcheck.
  * Make caja-open-terminal configurable (depends on Caja 1.21.3+).
  * Require caja >= 1.21.3.
- Rebase caja-extensions_gtk-3.20.patch.

-------------------------------------------------------------------
Thu Dec 13 15:43:41 UTC 2018 - sor.alexei@meowr.ru

- Update to version 1.20.2:
  * Update translations.

-------------------------------------------------------------------
Sat Jun 16 15:48:41 UTC 2018 - sor.alexei@meowr.ru

- Update to version 1.20.1:
  * Update translations.

-------------------------------------------------------------------
Fri Mar  9 19:10:07 UTC 2018 - sor.alexei@meowr.ru

- Update to version 1.20.0:
  * Require GTK+ 3.22 and GLib 2.50.
  * open-terminal: Don't use excessive string duplication.
  * Avoid deprecated gdk_screen_make_display_name().
  * sendto burn: Avoid deprecated gtk_show_uri().
  * Fix the libcaja_gksu_la_LDFLAGS variable declaration.
  * xattr-tags: Fix extension description.
  * README: Added development info.
  * Update translations.
- Add caja-extensions_gtk-3.20.patch: Restore GLib 2.48 and
  GTK+ 3.20 support.

-------------------------------------------------------------------
Wed Nov  8 17:56:12 UTC 2017 - sor.alexei@meowr.ru

- Update to version 1.18.2:
  * xattr-tags: Remove a hack, it's not needed now.
  * xattr-tags: Fix a typo that caused undefined reference.
  * Update translations.

-------------------------------------------------------------------
Mon Apr 17 11:47:10 UTC 2017 - sor.alexei@meowr.ru

- Update to version 1.18.1:
  * xattr-tags improvements.
  * Update translations.

-------------------------------------------------------------------
Tue Mar 14 10:11:47 UTC 2017 - sor.alexei@meowr.ru

- Update to version 1.18.0:
  * NEWS: Use consistent, project wide, markdown-like formatting to
    make generating release announcements easier.
  * Build: Require caja >= 1.17.1 and libmate-desktop >= 1.17.0.
  * Move to GTK+3 (require GTK+ >= 3.14), drop the GTK+2 code and
    --with-gtk build option.
  * Add the xattr-tags extension to show xattr tags in a new
    column.
  * Update translations.

-------------------------------------------------------------------
Tue Sep 20 20:50:25 UTC 2016 - sor.alexei@meowr.ru

- Update to version 1.16.0:
  * open-terminal: Fix opening the terminal in remote directories
    with single or double quotes in their names.
  * open-terminal: Some code cleanups.
  * Update translations.

-------------------------------------------------------------------
Wed Aug 10 12:43:54 UTC 2016 - sor.alexei@meowr.ru

- Update to version 1.14.1:
  * Make distcheck use currently selected GTK+ version.
  * Update translations.

-------------------------------------------------------------------
Sat Apr  9 11:24:53 UTC 2016 - sor.alexei@meowr.ru

- Update to version 1.14.0:
  * Some more fixes and cleanups.
  * Update translations.
  * Add Changelog generation.

-------------------------------------------------------------------
Mon Jan 25 19:56:45 UTC 2016 - sor.alexei@meowr.ru

- Update to version 1.13.0:
  * Drop MateConf migration scripts.
  * Gtk3: Some deprecation fixes.

-------------------------------------------------------------------
Thu Nov  5 20:43:01 UTC 2015 - sor.alexei@meowr.ru

- Update to 1.12.0.
- Rename all extensions packages to caja-extension-foo.

-------------------------------------------------------------------
Wed Oct 14 19:24:43 UTC 2015 - sor.alexei@meowr.ru

- Update to 1.11.0:
  * Some string fixes.
  * Update translations.

-------------------------------------------------------------------
Tue Sep 15 15:29:27 UTC 2015 - sor.alexei@meowr.ru

- Update to 1.10.1:
  * open-terminal: Fix bugs with non-standard ssh ports.

-------------------------------------------------------------------
Tue Aug 18 14:51:38 UTC 2015 - sor.alexei@meowr.ru

- Build Gajim module for openSUSE Leap 42.x.

-------------------------------------------------------------------
Tue May  5 13:47:23 UTC 2015 - sor.alexei@meowr.ru

- Update to 1.10.0 (changes since 1.9.1):
  * Update translations.
- Enable caja-gksu and add a subpackage.
- Add caja-extensions_use-xdgsu.patch for xdg-su usage in caja-gksu.
- Spec cleanup.

-------------------------------------------------------------------
Thu Jan 22 20:35:24 UTC 2015 - p.drouand@gmail.com

- Update to version 1.9.1 (unstable)
  * wallpaper: Added new 'Set as wallpaper' extension
- Add caja-wallpaper subpackage
- Enable back gajim extenstion; now available on Factory

-------------------------------------------------------------------
Sun Jul 13 14:49:08 UTC 2014 - p.drouand@gmail.com

- Update to version 1.9.0 (unstable)
  + sendto: re-introduce the option to select plugins to build
- Fix version requirements

-------------------------------------------------------------------
Wed Mar  5 12:31:16 UTC 2014 - p.drouand@gmail.com

- Update to version 1.8.0
  + no changes since version 1.7.90

-------------------------------------------------------------------
Thu Feb 20 13:03:53 UTC 2014 - p.drouand@gmail.com

- Update to version 1.7.90
  + No changes since 1.7.0

-------------------------------------------------------------------
Tue Nov  5 14:41:56 UTC 2013 - p.drouand@gmail.com

- Initial release (version 1.7.0)
openSUSE Build Service is sponsored by